#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 37. LXQt Desktop

- Prev

  kidletime-6.23.0 for lxqt

- Next

  libkscreen-6.6.1 for lxqt

- Up
- Home

# kwayland-6.6.1 for lxqt

## Introduction to kwayland

kwayland is a Qt-style API to interact with the wayland-client and wayland-server API.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Important

This package is extracted from the KF6 set of packages. If KDE Frameworks-6.23.0 is built, do NOT also build this package as presented here.

### Package Information

- Download (HTTP): https://download.kde.org/stable/plasma/6.6.1/kwayland-6.6.1.tar.xz

- Download MD5 sum: 3528e0b917c4891486b12e6ed1030168

- Download size: 132 KB

- Estimated disk space required: 13 MB

- Estimated build time: 0.2 SBU (Using parallelism=4)

### kwayland Dependencies

#### Required

Extra-CMake-Modules-6.23.0, Mesa-26.0.1 (built with Wayland-1.24.0 support), plasma-wayland-protocols-1.20.0, and Qt-6.11.0

## Installation of kwayland

Install kwayland by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_BUILD_TYPE=Release         \
          -D CMAKE_INSTALL_LIBEXECDIR=libexec \
          -D KDE_INSTALL_USE_QT_SYS_PATHS=ON  \
          -D BUILD_TESTING=OFF                \
          -W no-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Library: libKWaylandClient.so
Installed Directories: /usr/include/KWayland and /usr/lib/cmake/KWayland

### Short Descriptions

`libKWaylandClient.so` | contains the wayland-client Qt-style wrapper library

- Prev

  kidletime-6.23.0 for lxqt

- Next

  libkscreen-6.6.1 for lxqt

- Up
- Home